<?php

namespace Source\Controllers;
use League\Plates\Engine;

/**
 *
 */
class keyCTe
{
    /**
     * @var Engine
     */
    private $view;

    /**
     * Account constructor.
     */
    public function __construct($router)
    {
        $this->view = Engine::create(__DIR__ . "/../../views/theme", "php");
        $this->view->addData(["router" => $router]);
    }

    /**
     *
     */
    public function index(): void
    {
        echo $this->view->render("xml_key_cte/index", [
            "title" => "Download CTe Chave | " . SITE['name']
        ]);
    }

    /**
     * @return void
     */
    public function create(): void
    {
        echo $this->view->render("xml_key_cte/create", [
            "title" => "Download CTe Chave | " . SITE['name']
        ]);
    }

    /**
     * @param $data
     * @return void
     */
    public function key($data): void
    {
        echo $this->view->render("xml_key_cte/key", [
            "title" => "Download CTe Chave | " . SITE['name'],
            "param" => $data
        ]);
    }

    public function delete($data): void
    {
        echo $this->view->render("xml_key_cte/delete", [
            "title" => "Download CTe Chave | " . SITE['name'],
            "param" => $data
        ]);
    }
}